Altibase.jdbc.driver

## Class AltibaseXAConnection

- java.lang.Object
- - Altibase.jdbc.driver.AltibasePooledConnection
  - - Altibase.jdbc.driver.AltibaseXAConnection

All Implemented Interfaces:
  javax.sql.PooledConnection, javax.sql.XAConnection

Direct Known Subclasses:
  Altibase42XAConnection

    public class AltibaseXAConnection
    extends AltibasePooledConnection
    implements javax.sql.XAConnection

### Constructor Summary

Constructors
Constructor and Description
`AltibaseXAConnection(java.sql.Connection aPhysicalConnection)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`protected AltibaseLogicalConnection` `createLogicalConnection(AltibaseConnection aPhysicalConnection, AltibasePooledConnection aParent)`
`javax.transaction.xa.XAResource` `getXAResource()`

### Methods inherited from class Altibase.jdbc.driver.AltibasePooledConnection

`addConnectionEventListener, createLogicalConnection, getConnection, removeConnectionEventListener`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.sql.PooledConnection

`addConnectionEventListener, addStatementEventListener, getConnection, removeConnectionEventListener, removeStatementEventListener`

### Constructor Detail

#### AltibaseXAConnection

    public AltibaseXAConnection(java.sql.Connection aPhysicalConnection)
                         throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

### Method Detail

#### createLogicalConnection

    protected AltibaseLogicalConnection createLogicalConnection(AltibaseConnection aPhysicalConnection,
                                                                AltibasePooledConnection aParent)

#### close

    public void close()
               throws java.sql.SQLException

Specified by:
  `close` in interface `javax.sql.PooledConnection`
Overrides:
  `close` in class `AltibasePooledConnection`
Throws:
  `java.sql.SQLException`

#### getXAResource

    public javax.transaction.xa.XAResource getXAResource()
                                                  throws java.sql.SQLException

Specified by:
  `getXAResource` in interface `javax.sql.XAConnection`
Throws:
  `java.sql.SQLException`